require( "scripts/common/simple_object.lua" );

local	indicator_pos_x = -16;
local	indicator_pos_y = -54;

local ObjectTable = GetObjectTable("ornament");

ornament = simple_object:new{
	--current_action_character="toddler",
	anchor_x=82,
	anchor_y=146,
	texture="anim/objects/ornament/ornament",
	animation_script="anim/objects/default_animation_script.lua",
	glow_texture="anim/objects/ornament/ornament_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	--animated=false,
	indicator_ui_x=indicator_pos_x,
	indicator_ui_y=indicator_pos_y,
	dad_ui_x=indicator_pos_x+35,
	dad_ui_y=indicator_pos_y,
	mom_ui_x=indicator_pos_x+35,
	mom_ui_y=indicator_pos_y,
	messing_state_time = 0,
	
	flipped_animation=true,
	
	character_messing_animation = "doing_stuff_up";
	character_cleaning_animation = "doing_stuff_up";

	messing_state_time = ObjectTable["messing_time"],
	cleaning_state_time = ObjectTable["cleaning_time"],
	stress_inc = ObjectTable["stress_inc"],
}

function ornament:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end
